<body>
    <div class="container">
      <div class="row">
        <div class="col-sm-9 col-md-7 col-lg-5 mx-auto">
          <div class="card border-0 shadow rounded-3 my-5">
            <div class="card-body p-4 p-sm-5">
              <div class="img-logo">
                <img src="https://play-lh.googleusercontent.com/0mfxVUEcKJwyACWS08ndnRvIXhwwUqb9oDdfrW_mlem78GHGhrr3DL5tGv93wfU7Cg" width="100px" alt="logo-astrapay">
              </div>
              <h5 class="card-title text-center mb-5 fw-light fs-5">Sign In</h5>
              <form [formGroup]="formLogin" (ngSubmit)="doLogin()">
                <div class="form-floating mb-3">
                  <input type="username" formControlName="username" class="form-control" id="floatingInput" placeholder="Username" name = "username">
                  <label for="floatingInput">Username</label>
                  <ng-container *ngIf="(errorControl['username'].dirty || errorControl['username'].touched) && errorControl['username'].errors">
                    <div *ngIf="errorControl['username'].errors['required']">Please enter your username.</div>
                  </ng-container>
                </div>
                <div class="form-floating mb-3">
                  <input type="password" formControlName="password" class="form-control" id="floatingPassword" placeholder="Password" name = "password">
                  <label for="floatingPassword">Password</label>
                  <ng-container *ngIf="(errorControl['password'].dirty || errorControl['password'].touched) && errorControl['password'].errors">
                    <div *ngIf="errorControl['password'].errors['required']">Please enter your password.</div>
                  </ng-container>
                </div>
  
                <div class="d-grid">
                  <button class="btn btn-primary btn-login text-uppercase fw-bold" type="submit">Sign in</button>
                </div>
              </form>
            </div>
          </div>
        </div>
      </div>
    </div>
  </body>